Subject: Re: [PATCH net-next 1/2] net: phy: add core phylib sfp support

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 11 Nov 2019 14:54:21 +0000

On Mon, Nov 11, 2019 at 02:01:14PM +0000, Russell King - ARM Linux admin wrote:
> So, how does one make sure that the .yaml files are correct?
> 
> The obvious thing is to use the "dtbs_check" target, described by
> Documentation/devicetree/writing-schema.md, but that's far from
> trivial.
> 
> First it complained about lack of libyaml development, which is easy
> to solve.  Having given it that, "dtbs_check" now complains:
> 
> /bin/sh: 1: dt-doc-validate: not found
> /bin/sh: 1: dt-mk-schema: not foundmake[2]: ***
> [...Documentation/devicetree/bindings/Makefile:12:
> Documentation/devicetree/bindings/arm/stm32/stm32.example.dts] Error 127
> 
> (spot the lack of newline character - which is obviously an entirely
> different problem...)
> 
> # apt search dt-doc-validate
> Sorting... Done
> Full Text Search... Done
> # apt search dt-mk-schema
> Sorting... Done
> Full Text Search... Done
> 
> Searching google, it appears it needs another git repository
> (https://github.com/robherring/dt-schema/) from Rob Herring to use
> this stuff, which is totally undocumented in the kernel tree.

Okay, that just seems to be "examples" rather than something which is
installable to provide the necessary commands.

So, I'm afraid I've no idea how I can change any of the .yaml files
and know that the changes are in fact correct.  Given that, I think we
need to drop the rule that DT bindings are documented prior to being
merged into the kernel until there is some decent and full
documentation.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up